Run many test cases
curl --request POST \
--url https://api.tela.com/test-case/run-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promptVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testCaseIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"filters": {
"createdAtSince": "2023-11-07T05:31:56Z",
"createdAtUntil": "2023-11-07T05:31:56Z",
"updatedAtSince": "2023-11-07T05:31:56Z",
"updatedAtUntil": "2023-11-07T05:31:56Z",
"createdBy": [
"<string>"
],
"testCaseTitle": "<string>",
"status": [
"<string>"
],
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://api.tela.com/test-case/run-all"
payload = {
"promptVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testCaseIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"filters": {
"createdAtSince": "2023-11-07T05:31:56Z",
"createdAtUntil": "2023-11-07T05:31:56Z",
"updatedAtSince": "2023-11-07T05:31:56Z",
"updatedAtUntil": "2023-11-07T05:31:56Z",
"createdBy": ["<string>"],
"testCaseTitle": "<string>",
"status": ["<string>"],
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
promptVersionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
testCaseIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
filters: {
createdAtSince: '2023-11-07T05:31:56Z',
createdAtUntil: '2023-11-07T05:31:56Z',
updatedAtSince: '2023-11-07T05:31:56Z',
updatedAtUntil: '2023-11-07T05:31:56Z',
createdBy: ['<string>'],
testCaseTitle: '<string>',
status: ['<string>'],
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
})
};
fetch('https://api.tela.com/test-case/run-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/test-case/run-all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'promptVersionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'testCaseIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'filters' => [
'createdAtSince' => '2023-11-07T05:31:56Z',
'createdAtUntil' => '2023-11-07T05:31:56Z',
'updatedAtSince' => '2023-11-07T05:31:56Z',
'updatedAtUntil' => '2023-11-07T05:31:56Z',
'createdBy' => [
'<string>'
],
'testCaseTitle' => '<string>',
'status' => [
'<string>'
],
'tagIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/test-case/run-all"
payload := strings.NewReader("{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"testCaseIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"createdAtSince\": \"2023-11-07T05:31:56Z\",\n \"createdAtUntil\": \"2023-11-07T05:31:56Z\",\n \"updatedAtSince\": \"2023-11-07T05:31:56Z\",\n \"updatedAtUntil\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": [\n \"<string>\"\n ],\n \"testCaseTitle\": \"<string>\",\n \"status\": [\n \"<string>\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tela.com/test-case/run-all")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"testCaseIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"createdAtSince\": \"2023-11-07T05:31:56Z\",\n \"createdAtUntil\": \"2023-11-07T05:31:56Z\",\n \"updatedAtSince\": \"2023-11-07T05:31:56Z\",\n \"updatedAtUntil\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": [\n \"<string>\"\n ],\n \"testCaseTitle\": \"<string>\",\n \"status\": [\n \"<string>\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/test-case/run-all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"testCaseIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"createdAtSince\": \"2023-11-07T05:31:56Z\",\n \"createdAtUntil\": \"2023-11-07T05:31:56Z\",\n \"updatedAtSince\": \"2023-11-07T05:31:56Z\",\n \"updatedAtUntil\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": [\n \"<string>\"\n ],\n \"testCaseTitle\": \"<string>\",\n \"status\": [\n \"<string>\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"executionId": "batch_01J9Z8Q4M6N2P8R1S3T5V7W9X",
"executionIds": [
"batch_01J9Z8Q4M6N2P8R1S3T5V7W9X"
],
"testCaseIds": [
"2a3b4c5d-6e7f-4a8b-9c0d-1e2f3a4b5c6d",
"3b4c5d6e-7f8a-4b9c-8d1e-2f3a4b5c6d7e"
]
}Test Case
Run many test cases
Executes a batch of test cases against a prompt version. Selection precedence: explicit testCaseIds, else the canvas’s test cases matching filters, else every test case of the canvas.
POST
/
test-case
/
run-all
Run many test cases
curl --request POST \
--url https://api.tela.com/test-case/run-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promptVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testCaseIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"filters": {
"createdAtSince": "2023-11-07T05:31:56Z",
"createdAtUntil": "2023-11-07T05:31:56Z",
"updatedAtSince": "2023-11-07T05:31:56Z",
"updatedAtUntil": "2023-11-07T05:31:56Z",
"createdBy": [
"<string>"
],
"testCaseTitle": "<string>",
"status": [
"<string>"
],
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://api.tela.com/test-case/run-all"
payload = {
"promptVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testCaseIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"filters": {
"createdAtSince": "2023-11-07T05:31:56Z",
"createdAtUntil": "2023-11-07T05:31:56Z",
"updatedAtSince": "2023-11-07T05:31:56Z",
"updatedAtUntil": "2023-11-07T05:31:56Z",
"createdBy": ["<string>"],
"testCaseTitle": "<string>",
"status": ["<string>"],
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
promptVersionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
testCaseIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
filters: {
createdAtSince: '2023-11-07T05:31:56Z',
createdAtUntil: '2023-11-07T05:31:56Z',
updatedAtSince: '2023-11-07T05:31:56Z',
updatedAtUntil: '2023-11-07T05:31:56Z',
createdBy: ['<string>'],
testCaseTitle: '<string>',
status: ['<string>'],
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
})
};
fetch('https://api.tela.com/test-case/run-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/test-case/run-all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'promptVersionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'testCaseIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'filters' => [
'createdAtSince' => '2023-11-07T05:31:56Z',
'createdAtUntil' => '2023-11-07T05:31:56Z',
'updatedAtSince' => '2023-11-07T05:31:56Z',
'updatedAtUntil' => '2023-11-07T05:31:56Z',
'createdBy' => [
'<string>'
],
'testCaseTitle' => '<string>',
'status' => [
'<string>'
],
'tagIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/test-case/run-all"
payload := strings.NewReader("{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"testCaseIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"createdAtSince\": \"2023-11-07T05:31:56Z\",\n \"createdAtUntil\": \"2023-11-07T05:31:56Z\",\n \"updatedAtSince\": \"2023-11-07T05:31:56Z\",\n \"updatedAtUntil\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": [\n \"<string>\"\n ],\n \"testCaseTitle\": \"<string>\",\n \"status\": [\n \"<string>\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tela.com/test-case/run-all")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"testCaseIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"createdAtSince\": \"2023-11-07T05:31:56Z\",\n \"createdAtUntil\": \"2023-11-07T05:31:56Z\",\n \"updatedAtSince\": \"2023-11-07T05:31:56Z\",\n \"updatedAtUntil\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": [\n \"<string>\"\n ],\n \"testCaseTitle\": \"<string>\",\n \"status\": [\n \"<string>\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/test-case/run-all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"promptVersionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"testCaseIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"createdAtSince\": \"2023-11-07T05:31:56Z\",\n \"createdAtUntil\": \"2023-11-07T05:31:56Z\",\n \"updatedAtSince\": \"2023-11-07T05:31:56Z\",\n \"updatedAtUntil\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": [\n \"<string>\"\n ],\n \"testCaseTitle\": \"<string>\",\n \"status\": [\n \"<string>\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"executionId": "batch_01J9Z8Q4M6N2P8R1S3T5V7W9X",
"executionIds": [
"batch_01J9Z8Q4M6N2P8R1S3T5V7W9X"
],
"testCaseIds": [
"2a3b4c5d-6e7f-4a8b-9c0d-1e2f3a4b5c6d",
"3b4c5d6e-7f8a-4b9c-8d1e-2f3a4b5c6d7e"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Batch execution started.
Batch job id. Empty string when nothing was started.
Currently a single-element array containing executionId, or empty when nothing was started.
Test cases that were actually started (already-running ones are excluded).